सामग्री पर जाएँ

Hunyuan Video Image-to-Video Inference

इंटीग्रेट करें

मॉडल id hunyuan-video-image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan-video-image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.40 400 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

स्थिर इमेज को वीडियो में एनिमेट करता है, जिसमें कम आर्टिफैक्ट के बदले मोशन कम करने वाला स्थिरता टॉगल है

Tencent · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 1000

वीडियो निर्माण के आधार के रूप में उपयोग किया गया प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज की ओर संकेत करने वाला URL।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 720p

आउटपुट वीडियो का रिज़ॉल्यूशन।

उन्नत num_frames · seed · i2v_stability · enable_safety_checker
डिफ़ॉल्ट 129

निर्मित आउटपुट में फ़्रेम की संख्या।

वीडियो निर्माण के लिए सीड मान।

POST /run/hunyuan-video-image-to-video?wait=20 कोटेशन → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan-video-image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Hunyuan Video Image-to-Video Inference के बारे में

`image_url` की इमेज और अधिकतम 1000 वर्णों के `prompt` को वीडियो में बदलता है। आकार अनुपात 16:9 या 9:16 है, और रिज़ॉल्यूशन का डिफ़ॉल्ट 720p तथा 129 फ़्रेम है। `i2v_stability` ह্যালुसिनेशन कम करता है, लेकिन मोशन भी कम करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 1,000 अक्षर
वीडियो निर्माण के आधार के रूप में उपयोग किया गया प्रॉम्प्ट।
image_urlआवश्यक image
प्रकारurl · image
इनपुट इमेज की ओर संकेत करने वाला URL।
seedवैकल्पिक
प्रकारinteger | null
वीडियो निर्माण के लिए सीड मान।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:16
आउटपुट वीडियो का आस्पेक्ट रेशियो।
resolutionवैकल्पिक
प्रकारstring
डिफ़ॉल्ट720p
आउटपुट वीडियो का रिज़ॉल्यूशन।
num_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट129
निर्मित आउटपुट में फ़्रेम की संख्या।
i2v_stabilityवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
I2V Stability सक्षम होने पर hallucination और गति दोनों को कम करता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-video-image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}
seed
integerवीडियो निर्माण के दौरान उपयोग किया जाने वाला सीड मान।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/hunyuan-video-image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt